# Asterisk Project : Asterisk 13 Function_FRAME_TRACE

Created by wikibot on Aug 08, 2014

# FRAME_TRACE()

### Synopsis

View internal ast_frames as they are read and written on a channel.

### Description

Examples:

exten => 1,1,Set(FRAME_TRACE(white)=DTMF_BEGIN,DTMF_END); view only DTMF frames.

exten => 1,1,Set(FRAME_TRACE()=DTMF_BEGIN,DTMF_END); view only DTMF frames.

exten => 1,1,Set(FRAME_TRACE(black)=DTMF_BEGIN,DTMF_END); view everything except DTMF frames.

### Syntax

    FRAME_TRACE(filter list type)

##### Arguments

- `filter list type` - A filter can be applied to the trace to limit what frames are viewed. This filter can either be a `white` or `black` list of frame types. When no filter type is present, `white` is used. If no arguments are provided at all, all frames will be output.
  Below are the different types of frames that can be filtered.
  - `DTMF_BEGIN`
  - `DTMF_END`
  - `VOICE`
  - `VIDEO`
  - `CONTROL`
  - `NULL`
  - `IAX`
  - `TEXT`
  - `IMAGE`
  - `HTML`
  - `CNG`
  - `MODEM`

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538